[pkg-kolab] r303 - trunk/libkolab-perl/debian/patches

Steffen Joeris white-guest at costa.debian.org
Thu Feb 9 15:31:29 UTC 2006


Author: white-guest
Date: 2006-02-09 15:31:29 +0000 (Thu, 09 Feb 2006)
New Revision: 303

Added:
   trunk/libkolab-perl/debian/patches/30-slurpd.pm.dpatch
Modified:
   trunk/libkolab-perl/debian/patches/00list
Log:
* add patch for slurpd.pm
* aaaaaah my cat is jumping on the laptop


Modified: trunk/libkolab-perl/debian/patches/00list
===================================================================
--- trunk/libkolab-perl/debian/patches/00list	2006-02-09 15:16:09 UTC (rev 302)
+++ trunk/libkolab-perl/debian/patches/00list	2006-02-09 15:31:29 UTC (rev 303)
@@ -1,2 +1,3 @@
 10-Kolab.pm
 20-LDAP.pm-cachefiles
+30-slurpd.pm

Added: trunk/libkolab-perl/debian/patches/30-slurpd.pm.dpatch
===================================================================
--- trunk/libkolab-perl/debian/patches/30-slurpd.pm.dpatch	2006-02-09 15:16:09 UTC (rev 302)
+++ trunk/libkolab-perl/debian/patches/30-slurpd.pm.dpatch	2006-02-09 15:31:29 UTC (rev 303)
@@ -0,0 +1,36 @@
+#!/bin/sh -e
+## 30-slurpd.pm.dpatch by Steffen Joeris <steffen.joeris at skolelinux.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Here we correct the path for kolabconf
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p0 < $0;;
+      -unpatch) patch $patch_opts -p0 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- slurpd.pm.orig	2006-02-09 16:15:22.405392842 +0100
++++ Kolab-LDAP-Backend-slurpd/slurpd.pm	2006-02-09 16:15:38.309247252 +0100
+@@ -277,7 +277,7 @@ sub run
+                 $changes = 0;
+                 Kolab::log('SD', 'Change detected w/ no pending LDAP messages; reloading services if needed');
+                 Kolab::LDAP::sync;
+-                system($Kolab::config{'prefix'} . '/sbin/kolabconf');
++                system('/sbin/kolabconf');
+             }
+ 
+             Kolab::log('SD', 'Waiting for LDAP updates');


Property changes on: trunk/libkolab-perl/debian/patches/30-slurpd.pm.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the pkg-kolab-devel mailing list